Bug 1112844 - OOM: observed for fuse client process (glusterfs) when one brick from replica pairs were offlined and high IO was in progress from client
Summary: OOM: observed for fuse client process (glusterfs) when one brick from replica...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: fuse
Version: 3.4.4
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Csaba Henk
QA Contact:
URL:
Whiteboard:
Depends On: 981158 988182
Blocks: 1110456
TreeView+ depends on / blocked
 
Reported: 2014-06-24 19:45 UTC by Kaleb KEITHLEY
Modified: 2015-12-01 16:45 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.4.5beta2
Doc Type: Bug Fix
Doc Text:
Clone Of: 988182
Environment:
Last Closed: 2015-02-12 20:07:41 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Comment 1 Anand Avati 2014-06-24 19:57:54 UTC
REVIEW: http://review.gluster.org/8164 (fuse: fix memory leak in fuse_getxattr()) posted (#2) for review on release-3.4 by Justin Clift (justin@gluster.org)

Comment 2 Anand Avati 2014-06-25 11:47:06 UTC
COMMIT: http://review.gluster.org/8164 committed in release-3.4 by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit ecc21940eaa44a38618e8d1d9c9690fffbd5ac72
Author: Justin Clift <justin@gluster.org>
Date:   Tue Jun 24 20:57:02 2014 +0100

    fuse: fix memory leak in fuse_getxattr()
    
    The fuse_getxattr() function was not freeing fuse_state_t resulting in a
    memory leak. As a result, when continuous writes (run dd command in a loop)
    were done from a FUSE mount point, the OOM killer killed the client
    process (glusterfs).
    
    Manual backport of: http://review.gluster.org/#/c/5392/, provided
    by Martin Svec <martin.svec@zoner.cz>.
    
    BUG: 1112844
    Change-Id: Ic723675c53384d48c79ad1b11b21c1b17fb56866
    Reviewed-on: http://review.gluster.org/8164
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.